@echo off
REM DOS Games Archive DOSBox launch script
REM 
REM Game: Star Wars: Dark Forces Demo
REM Configuration: standard
REM 
REM Please refer to the DOSBox manual and Wiki
REM for an explanation of commands
REM 
REM DOSBox: disable joystick (for online play)
config -set "joystick joysticktype=none"
REM DOSBox: configure CPU cycles
config -set "cpu cycles=auto 7800 max 100%% limit 26800"
REM DOSBox: set correct aspect ratio
config -set "render aspect=true"
REM DOSBox: loadfix (correct memory usage)
loadfix -25
cd DFDEMO
dos32a df.exe %1 %2 %3 %4 %5 %6 %7
cd..
cls
echo Thank you for playing Star Wars: Dark Forces Demo!
echo.
echo To play again, type DFDEMO and press Enter
echo.
echo Your DOS Games Archive http://www.dosgamesarchive.com/
@echo on